Ark (Archiver) does not start work anymore after last system update

After my last upgrade Ark cannot be used anymore. I have reported this failure to bugs of kde.
Failure report: id=436203#c0
They asked what happens, if I start Ark via Terminal.

Terminal:
$ ark

OUTPUT
ark: symbol lookup error: ark: undefined symbol: _ZN4KJob14percentChangedEPS_mNS_14QPrivateSignalE

Their conlusion: id=436203#c5
is that it is a packaging failure either from Archlinux or manjaro.

Because Ark is the only Archiver / Packager that works properly on KDE Plasme (Manjaro) it is a real problem that it does not work anymore.

Thanks a lot for quick help.

1 Like

sorry if that seems obvious, but:
are you sure your system is fully up to date?

because:
I just updated my KDE system today - and when I try to open ark ÔÇŽ it works.

This may help.

https://forum.manjaro.org/t/kde-could-not-find-theme-after-update/58598/15
Had the same problem with ark, after recent upgrade, this solved it.

I had the same problem, in my case I had to replace all kde git pakages with the normal ones.

1 Like

IÔÇÖm having the same problem with Ark.
I install the minimal kde version and as i tried to replace git by normal one i have too much dependencies to replace all of them. Installation wonÔÇÖt do it.

[quote]recherche des conflits entre paquetsÔÇŽ
:: kcodecs et kcodecs-git sont en conflit. Supprimer kcodecs-git ? [o/N] o
:: kconfig et kconfig-git sont en conflit. Supprimer kconfig-git ? [o/N] o
:: kcoreaddons et kcoreaddons-git sont en conflit. Supprimer kcoreaddons-git ? [o/N] o
:: kdbusaddons et kdbusaddons-git sont en conflit. Supprimer kdbusaddons-git ? [o/N] o
:: ki18n et ki18n-git sont en conflit. Supprimer ki18n-git ? [o/N] o
:: kirigami2 et kirigami2-git sont en conflit. Supprimer kirigami2-git ? [o/N] o
:: knotifications et knotifications-git sont en conflit. Supprimer knotifications-git ? [o/N] o
:: kwindowsystem et kwindowsystem-git sont en conflit. Supprimer kwindowsystem-git ? [o/N] o
erreur : la pr├ęparation de la transaction a ├ęchou├ę (la satisfaction des d├ępendances a ├ęchou├ę)
:: la suppression de kcoreaddons-git casse la d├ępendance ┬ź kcoreaddons-git ┬╗ requise par kactivities-git
:: la suppression de kconfig-git casse la d├ępendance ┬ź kconfig-git ┬╗ requise par kactivities-git
:: la suppression de kwindowsystem-git casse la d├ępendance ┬ź kwindowsystem-git ┬╗ requise par kactivities-git
:: la suppression de kcoreaddons-git casse la d├ępendance ┬ź kcoreaddons-git ┬╗ requise par kauth-git
:: la suppression de kconfig-git casse la d├ępendance ┬ź kconfig-git ┬╗ requise par kcompletion-git
:: la suppression de kcodecs-git casse la d├ępendance ┬ź kcodecs-git ┬╗ requise par kconfigwidgets-git
:: la suppression de kconfig-git casse la d├ępendance ┬ź kconfig-git ┬╗ requise par kconfigwidgets-git
:: la suppression de ki18n-git casse la d├ępendance ┬ź ki18n-git ┬╗ requise par kconfigwidgets-git
:: la suppression de kcoreaddons-git casse la d├ępendance ┬ź kcoreaddons-git ┬╗ requise par kcrash-git
:: la suppression de kwindowsystem-git casse la d├ępendance ┬ź kwindowsystem-git ┬╗ requise par kcrash-git
:: la suppression de ki18n-git casse la d├ępendance ┬ź ki18n-git ┬╗ requise par kdecoration-git
:: la suppression de kdbusaddons-git casse la d├ępendance ┬ź kdbusaddons-git ┬╗ requise par kglobalaccel-git
:: la suppression de kconfig-git casse la d├ępendance ┬ź kconfig-git ┬╗ requise par kglobalaccel-git
:: la suppression de kcoreaddons-git casse la d├ępendance ┬ź kcoreaddons-git ┬╗ requise par kjobwidgets-git
:: la suppression de ki18n-git casse la d├ępendance ┬ź ki18n-git ┬╗ requise par kpackage-git
:: la suppression de kcoreaddons-git casse la d├ępendance ┬ź kcoreaddons-git ┬╗ requise par kpackage-git
:: la suppression de kcoreaddons-git casse la d├ępendance ┬ź kcoreaddons-git ┬╗ requise par kpty-git
:: la suppression de ki18n-git casse la d├ępendance ┬ź ki18n-git ┬╗ requise par kpty-git
:: la suppression de ki18n-git casse la d├ępendance ┬ź ki18n-git ┬╗ requise par kservice-git
:: la suppression de kconfig-git casse la d├ępendance ┬ź kconfig-git ┬╗ requise par kservice-git
:: la suppression de kdbusaddons-git casse la d├ępendance ┬ź kdbusaddons-git ┬╗ requise par kservice-git
:: la suppression de kconfig-git casse la d├ępendance ┬ź kconfig-git ┬╗ requise par ktexteditor-git
:: la suppression de ki18n-git casse la d├ępendance ┬ź ki18n-git ┬╗ requise par ktexteditor-git
:: la suppression de ki18n-git casse la d├ępendance ┬ź ki18n-git ┬╗ requise par kunitconversion-git
:: la suppression de knotifications-git casse la d├ępendance ┬ź knotifications-git ┬╗ requise par kwallet-git
:: la suppression de kirigami2-git casse la d├ępendance ┬ź kirigami2-git ┬╗ requise par plasma-framework-git
:: la suppression de kirigami2-git casse la d├ępendance ┬ź kirigami2-git ┬╗ requise par qqc2-desktop-style-git[/quote]

How could i do it ? Thanks

I copied the plus packages it listed, then reran it until there was none. (about 5 times) There are probably better ways to do it, but for one time, it only took 10 mins

Did what you said. Seems to work now. Thanks !

1 Like

How did you do that?